local wheelsleep = THEME:GetMetric("MusicWheel","SwitchSeconds");

local t = Def.ActorFrame{
    Def.ActorFrame { 
        LoadActor("../Common MusicWheelItem Song") .. {
            InitCommand=cmd(diffuse,color(1,1,1,1));
            SetMessageCommand=function(self,params)
                self:diffuse(SONGMAN:GetSongColor(params.Song));
                end;
        };
        LoadActor("../Common MusicWheelItem Song") .. {
            InitCommand=cmd(blend,"BlendMode_Add";diffuse,color(1,1,1,1));
            SetMessageCommand=function(self,params)
                self:diffuse(SONGMAN:GetSongColor(params.Song));
                end;
        };
    };
    Def.ActorFrame { 
    InitCommand=cmd(y,0);
        LoadFont("ScreenSystemLayer","Credits")..{
            InitCommand=cmd(horizalign,left;shadowlength,0;x,-(282/2)+(16*2.25);maxwidth,178);
            SetMessageCommand=function(self,params)
                if params.Song then
                    self:finishtweening()
                    self:settext( params.Song:GetDisplayFullTitle() );
                    self:diffuse(SONGMAN:GetSongColor(params.Song));
                end;
            end;
        };
        LoadFont("ScreenSystemLayer","Credits")..{
            InitCommand=cmd(horizalign,left;shadowlength,0;x,-(282/2)+(16*2.25);maxwidth,178);
            SetMessageCommand=function(self,params)
                if params.Song then
                    self:finishtweening()
                    self:settext( params.Song:GetDisplayFullTitle() );
                    self:diffusealpha(0.75);
                end;
            end;
        };
    };
};

return t;